-- USE A "MONO-TYPE" FONT TO VIEW THIS DOCUMENT!
-- Eg: "Courier new".

----------------------------------
-- AKD No Reload v1.0           --
-- Made by: Anders4000          --
-- Copyright  2012 Anders4000  --
-- Date(dd/mm/yyyy): 22/02/2012 --
----------------------------------
-- DO NOT say that this is      --
-- yours, but use it and modify --
-- it to fit your needs.        --
----------------------------------

-- Modify this array to your liking
local bulletWeapons = {1,2,3,4,5,6,10,11,20,21,22,23,24,30,31,32,33,34,35,36,37,38,39,40,45,46,47,48,49}

addhook("attack","akd_no_reload_attack")
function akd_no_reload_attack(id)
	local currentWpn = player(id,"weapontype")
	local reloadable = false
	
	-- Check if weapon is reloadable
	for i = 0, #bulletWeapons do
		if currentWpn == bulletWeapons[i] then
			reloadable = true
		end
	end
	
	-- If weapon is reloadable, do the ammo refill
	if reloadable == true then
		parse("strip "..id.." "..currentWpn)		-- Strips players current weapon
		parse("equip "..id.." "..currentWpn)		-- Equips it again with full ammo
		parse("setweapon "..id.." "..currentWpn)	-- Sets player weapon to prevent weapon switching
	end
end

print("050150255AKD_No_Reload.lua \t\tlaunched without errors!")